org.eclipse.jdt.core.jdom

## Class DOMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jdt.core.jdom.DOMException

All Implemented Interfaces:
  Serializable

Deprecated.
The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

    public class DOMException
    extends RuntimeException

Unchecked exception thrown when an illegal manipulation of the JDOM is performed, or when an attempt is made to access/set an attribute of a JDOM node that source indexes cannot be determined for (in case the source was syntactically incorrect).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DOMException()` Deprecated. Creates a new exception with no detail message.
`DOMException(String message)` Deprecated. Creates a new exception with the given detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMException

    public DOMException()

Deprecated.
Creates a new exception with no detail message.

#### DOMException

    public DOMException(String message)

Deprecated.
Creates a new exception with the given detail message.

Parameters:
  `message` - the detail message